/*
 * Copyright (C) 2005-2017 Centre National d'Etudes Spatiales (CNES)
 *
 * This file is part of Orfeo Toolbox
 *
 *     https://www.orfeo-toolbox.org/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "itkMacro.h"

#include "otbUnaryImageFunctorWithVectorImageFilter.h"
#include "otbImage.h"
#include "itkCosImageFilter.h"

int otbUnaryImageFunctorWithVectorImageFilterNew(int itkNotUsed(argc), char * itkNotUsed(argv) [])
{
  const unsigned int Dimension = 2;
  typedef double                                                  PixelType;
  typedef otb::VectorImage<PixelType, Dimension>                  InputImageType;
  typedef InputImageType::InternalPixelType                       InternalPixelType;
  typedef itk::Functor::Cos<InternalPixelType, InternalPixelType> FunctorType;
  typedef otb::UnaryImageFunctorWithVectorImageFilter<InputImageType,
      InputImageType,
      FunctorType>  UnaryImageFunctorWithVectorImageFilterType;

  // Instantiating object
  UnaryImageFunctorWithVectorImageFilterType::Pointer filter = UnaryImageFunctorWithVectorImageFilterType::New();

  std::cout << filter << std::endl;

  return EXIT_SUCCESS;
}
